Admin APIUploads
Upload Files
Upload files to the configured File Module Provider.
AuthorizationBearer <token>
In: header
Request Body
application/json
files*
The upload's files.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/uploads" \ -H "Content-Type: application/json" \ -d '{ "files": [ { "name": "string", "content": "string" } ] }'{
"files": [
{
"id": "string",
"url": "string"
}
]
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Get a File
Retrieve an uploaded file by its ID. You can expand the file's relations or select the fields that should be returned.
Get Presigned Upload URL
Get a presigned URL for uploading a file to the configured File Module Provider. The presigned URL can be used to upload files directly to the third-party provider. This only works if your configured provider supports presigned URLs, such as the S3 provider.